ICU 56.1: UIDNAInfo Struct Reference

ICU 56.1 56.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
UIDNAInfo Struct Reference

Output container for IDNA processing errors. More...

`#include <uidna.h>`

## Data Fields
int16_t | size
| sizeof(UIDNAInfo) More...
UBool | isTransitionalDifferent
| Set to TRUE if transitional and nontransitional processing produce different results. More...
UBool | reservedB3
| Reserved field, do not use. More...
uint32_t | errors
| Bit set indicating IDNA processing errors. More...
int32_t | reservedI2
| Reserved field, do not use. More...
int32_t | reservedI3
| Reserved field, do not use. More...

## Detailed Description

Output container for IDNA processing errors.

Initialize with UIDNA_INFO_INITIALIZER:

UIDNAInfo info = UIDNA_INFO_INITIALIZER;
int32_t length = uidna_nameToASCII(..., &info, &errorCode);
if(U_SUCCESS(errorCode) && info.errors!=0) { ... }

Stable:
  ICU 4.6

Definition at line 179 of file uidna.h.

## Field Documentation

uint32_t UIDNAInfo::errors

Bit set indicating IDNA processing errors.

0 if no errors. See UIDNA_ERROR_... constants.

Stable:
  ICU 4.6

Definition at line 194 of file uidna.h.

UBool UIDNAInfo::isTransitionalDifferent

Set to TRUE if transitional and nontransitional processing produce different results.

For details see C++ IDNAInfo::isTransitionalDifferent().

Stable:
  ICU 4.6

Definition at line 187 of file uidna.h.

UBool UIDNAInfo::reservedB3

Reserved field, do not use.

Internal:
  Do not use. This API is for internal use only.

Definition at line 188 of file uidna.h.

int32_t UIDNAInfo::reservedI2

Reserved field, do not use.

Internal:
  Do not use. This API is for internal use only.

Definition at line 195 of file uidna.h.

int32_t UIDNAInfo::reservedI3

Reserved field, do not use.

Internal:
  Do not use. This API is for internal use only.

Definition at line 196 of file uidna.h.

int16_t UIDNAInfo::size

sizeof(UIDNAInfo)

Stable:
  ICU 4.6

Definition at line 181 of file uidna.h.

The documentation for this struct was generated from the following file:

- uidna.h